Package org.springframework.aop.aspectj

# Class AspectJAopUtils

java.lang.Object
org.springframework.aop.aspectj.AspectJAopUtils

public abstract class AspectJAopUtils extends Object
Utility methods for dealing with AspectJ advisors.

Since:
  2.0
Author:
  Adrian Colyer, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`AspectJAopUtils()`

## Method Summary

Modifier and Type
Method
Description
`static AspectJPrecedenceInformation`
`getAspectJPrecedenceInformationFor(Advisor anAdvisor)`
Return the AspectJPrecedenceInformation provided by this advisor or its advice.
`static boolean`
`isAfterAdvice(Advisor anAdvisor)`
Return `true` if the advisor is a form of after advice.
`static boolean`
`isBeforeAdvice(Advisor anAdvisor)`
Return `true` if the advisor is a form of before advice.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AspectJAopUtils

public AspectJAopUtils()

## Method Details

### isBeforeAdvice

public static boolean isBeforeAdvice(Advisor anAdvisor)
Return `true` if the advisor is a form of before advice.

### isAfterAdvice

public static boolean isAfterAdvice(Advisor anAdvisor)
Return `true` if the advisor is a form of after advice.

### getAspectJPrecedenceInformationFor

@Nullable public static AspectJPrecedenceInformation getAspectJPrecedenceInformationFor(Advisor anAdvisor)
Return the AspectJPrecedenceInformation provided by this advisor or its advice. If neither the advisor nor the advice have precedence information, this method will return `null`.